%define name	ntfs-3g
%define libname %mklibname %{name} 0
%define version 0.1
%define	release %mkrel 0.20070714.2

Summary:	Read-write ntfs driver
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Other
Source: 	%{name}-20070714-BETA.tar.bz2
URL:		http://sourceforge.net/mailarchive/forum.php?thread_id=23836054&forum_id=2697
Buildrequires:  fuse-devel >= 2.5.0
Requires:	fuse >= 2.5.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
# works only on ix86, not x86_64 or ppc !
ExclusiveArch:	%{ix86}

%description
The ntfs-3g driver is an open source, GPL licensed, third generation Linux 
NTFS driver for 32-bit, little-endian architectures which was implemented 
by the Linux-NTFS project. It provides full read-write access to NTFS, 
excluding access to encrypted files, writing compressed files, changing 
file ownership, access right. The driver currently is in BETA status.

%package -n %{libname}
Summary: Ntfs-3g driver library
Group: Networking/Other

%description -n %{libname}
Library for ntfs-3g driver.

%package -n %{libname}-devel
Summary: Header files and static libraries for ntfs-3g
Group: Networking/Other
Requires: %{libname} = %{version}
Provides: %{name}-devel = %{version}-%{release}
Provides:  lib%{name}-devel

%description -n %{libname}-devel
You should install this package if you wish to develop applications that
use ntfs-3g.


%prep
%setup -q -n %{name}-20070714-BETA
%configure

%build
%make

%install
rm -rf ${RPM_BUILD_ROOT}

perl -pi -e 's|ldconfig|/bin/true|' src/Makefile
%makeinstall_std
cat > README.install.urpmi << EOF
WARNING :
This package is a *BETA*, in early stage of development. Before using this software,
make a backup of your data, and use it at your risk.
EOF

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr (-,root,root)
%doc README 
%doc ChangeLog
%doc COPYING
%doc AUTHORS
%doc CREDITS
%doc INSTALL
%doc NEWS
%doc README.install.urpmi
%{_bindir}/ntfs-3g
%{_mandir}/man8/*
/sbin/mount.ntfs-3g

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libntfs-3g.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/libntfs-3g.so
%{_includedir}/ntfs
%{_libdir}/libntfs-3g*a

%changelog
* Thu Jul 20 2006 Couriousous <couriousous@mandriva.org> 0.1-0.20070714.2mdv2007.0
- Some spec cleanup
- Build only on ix86
- Upload to contrib

* Thu Jul 19 2006 Davide Duina <davide.duina_AT_gmail_DOT_com> 0.1-0.20070714.1mdv2007.0
- First version, based on Beta 20070714
